<?php

namespace Themes\kbgolf\pro\app\Http\Controllers\Auth;

use App\Http\Controllers\Controller;
use App\Services\CallApiService;
use Illuminate\Support\Facades\Cookie;
use Illuminate\Support\Facades\Validator;

class DbrLoginController extends Controller
{
    private $callApiService;

    public function __construct(CallApiService $callApiService)
    {
        $this->callApiService = $callApiService;
    }

    public function index()
    {
        [$oauth2InfoList, $develLoginInfo] = setupSsoClientOrLoginInfo();

//        dump($oauth2InfoList);

        return view('views.auth.member-login-dbr', compact('oauth2InfoList', 'develLoginInfo'));
    }
}
